Page MenuHomePhabricator

Support emoticons
Closed, WontfixPublic

Description

I will often wrote :P and be extremely disappointed when it doesn't render as an emoticon. Supporting emoticons would be sorta neat.

Event Timeline

joshuaspence raised the priority of this task from to Needs Triage.
joshuaspence updated the task description. (Show Details)
joshuaspence added a project: Remarkup.
joshuaspence added a subscriber: joshuaspence.
avivey added a subscriber: avivey.Jun 4 2015, 9:53 PM
In T8430#118598, @chad wrote:

โค๏ธ!

eadler added a subscriber: eadler.Jun 4 2015, 10:50 PM
chad added a comment.Jul 2 2015, 9:48 PM

also, you can just type :poop: for ๐Ÿ’ฉ

This comment was removed by tycho.tatitscheff.
chad added a comment.Jul 17 2015, 3:30 AM

I'm still not a super fan of how different browsers render different emojis, but it seems we could at least map the basic ones like @swisspol suggests.

{
  ':)'   : 'smile',
  ':-)'  : 'smile',
  ':('   : 'frowning',
  ':-('  : 'frowning',
  ';)'   : 'wink',
  ';-)'  : 'wink',
  ':\'(' : 'cry',
  ':\'-(': 'cry',
  ':-\'(': 'cry',
  ':p'   : 'stuck_out_tongue',
  ':P'   : 'stuck_out_tongue',
  ':-P'  : 'stuck_out_tongue',
  ':O'   : 'open_mouth',
  ':-O'  : 'open_mouth',
  ':D'   : 'smiley',
  ':-D'  : 'smiley',
  ':|'   : 'expressionless',
  ':-|'  : 'expressionless',
  ':/'   : 'confused',  
  ";P"   : 'stuck_out_tongue_winking_eye',
  ";-P"  : 'stuck_out_tongue_winking_eye',
  ":$"   : 'blush',
  ":-$"  : 'blush'
};
eadler added a project: Restricted Project.Aug 5 2016, 5:24 PM
epriestley closed this task as Wontfix.Apr 4 2018, 3:44 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

We now support emoji; we might support stickers at some point. If we did, I'd expect them to use the autocomplete element (which I think is in a relatively good place for emoji), not actually be invoked with :P, ^-^, etc.